Форум программистов, компьютерный форум, киберфорум
VBulletin
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.75/16: Рейтинг темы: голосов - 16, средняя оценка - 4.75
17 / 1 / 0
Регистрация: 29.05.2014
Сообщений: 7
1

Совместим ли Vbulletin 3.8.4 с 5 версией PHP и MySQL

31.03.2015, 09:29. Просмотров 3218. Ответов 5
Метки нет (Все метки)

Хостер предлагает перенести данные на новый сервер, вопрос будет ли работать форум Vbulletin 3.8.4 с 5 версией PHP и MySQL?
Буду благодарнА за любой ответ
0
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
31.03.2015, 09:29
Ответы с готовыми решениями:

Этот графический драйвер не совместим с версией виндоус
Дело было так: долгое время я ставил драйвера с официалки geforce, они работали, примерно месяц...

Совместим ли SilverLight с PHP, Javascript
Если начать писать сайт на SilverLight, в дальнейшем сайт будет совместим с языком php, javascript ...

Vbulletin 3.8.4 - ошибка mysql при регистрации
Заполняем форму регистрации, ждем на "Регистрация" , выдает ошибку. Раньше не замечал, в чем может...

Совместим ли будет сайт на node.js + платежная система на php ?
Совместим ли будет сайт на node.js + платежная система на php. Можно ли так сделать, или потом...

5
5 / 5 / 4
Регистрация: 25.09.2012
Сообщений: 24
31.03.2015, 12:00 2
Цитата Сообщение от Contravt Посмотреть сообщение
вопрос будет ли работать форум Vbulletin 3.8.4 с 5 версией PHP и MySQL?
будет
а у Вас до сих пор ПХП 4.3.10? вау... я ж правильно понимаю, форум тот, что указан в профиле?

А на какую именно ПХП хостер предлагает перейти?

Ситуация такая: на пхп 5.2 форум будет работать прекрасно, никаких проблем не будет

на пхп 5.3 нужно будет подправить несколько строк в паре файлов, чтобы не было сообщений вида "Deprecated: Assigning the return value of new by reference is deprecated..."

на пхп 5.4 будут некоторые проблемы, частично - потому что у Вас кодировка windows-1251 (будут проблемы с визуальным редактором, нЕ страшно, решается небольшой правкой файлов), + тоже легко решаемые проблемы с генерацией миниатюр вложений

с пхп 5.5 - 5.6 ситуация аналогичная

Все необходимые правки уже расписаны, так что проблем не будет

По поводу MySQL - проблем вообще быть не должно
1
17 / 1 / 0
Регистрация: 29.05.2014
Сообщений: 7
09.04.2015, 12:32  [ТС] 3
Благодарю за ответ. Очень приятно, что вы потратили свое время на мой дурацкий вопрос.

Форум ka-forum.ru вот этот. Какая там версия ПХП не знаю, так как даже не знаю, что такое ПХП. Но вещь, несомненно, нужная и важная. Главное знать совместимость и номера ))) А в профиле указан основной сайт. И да, он лежит на сервере наистариннейшем, уйти оттудова нет никакой мне видимой возможности... а жаль.

Хостер пишет: "Для PHP появится возможность смены версии PHP для всей услуги сразу (5.2 - 5.5).

А по поводу правок - отлистала страниц пять с темами форума по вбюллетеню, но не нашла упоминания пхп и его версий. Может посдкажете, где поискать, а то там 340 тем, невозможно отсмотреть все.
0
5 / 5 / 4
Регистрация: 25.09.2012
Сообщений: 24
10.04.2015, 02:07 4
Цитата Сообщение от Contravt Посмотреть сообщение
Хостер пишет: "Для PHP появится возможность смены версии PHP для всей услуги сразу (5.2 - 5.5)
если боитесь править файлы - выбирайте 5.2
проблем не будет и никаких правок тоже не надо будет вносить
0
12 / 12 / 6
Регистрация: 16.02.2015
Сообщений: 137
04.08.2015, 09:36 5
У PHP версии 5 и выше есть обратная совместимость, т.е. форум написанный с использованием PHP 4 будет работать на PHP 5.
А вот если форум сделан под PHP 5, то использовать его на PHP 4 нормально не получится.
0
Администратор
79541 / 48102 / 244
Регистрация: 10.04.2006
Сообщений: 13,108
14.09.2015, 16:37 6
Форум будет работать. Только после обновления пхп лучше просмотреть логи на наличие ошибок и ворнингов и исправить их. А лучше обновите движок до последней версии (3.8.9 вроде) - там это уже есть.
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
14.09.2015, 16:37

Заказываю контрольные, курсовые, дипломные и любые другие студенческие работы здесь.

Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in z:\home\localhost\www\php\mysql.php on line 16
Не могу подключиться к базе...устал все перепроверять переписывать и пересоздавать... Я недавно...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
6
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.